Subject: Re: tbench wrt. loopback TSO

From: Rick Jones <[email-masked]>
Date: Wed, 05 Nov 2008 13:06:45 -0800

>>Ignoring the TSO case for a moment, if there is congestion and receiver 
>>window available and a user makes a > MSS send that isn't an integral 
>>multiple of the MSS, we don't delay the last subMSS segment do we?
> 
> 
> Without TSO, only Nagle could prevent sending that submss portion, so the 
> answer depends on what the window in-flight consists of.

I always thought that Nagle was supposed to be implemented as if it was 
on a user send() by user send() basis and not segment by segment, in 
which case no send() > MSS would be delayed by Nagle.

rick jones